<ion-app>
    <ion-split-pane contentId="main-content">
        <ion-menu contentId="main-content" type="overlay">
            <ion-content>
                <ion-list id="inbox-list">
                    <ion-list-header>Menu</ion-list-header>

                    <ion-menu-toggle auto-hide="false" *ngFor="let p of appPages; let i = index">
                        <ion-item routerDirection="root" [routerLink]="[p.url]" lines="none" detail="false" routerLinkActive="selected">
                            <ion-icon slot="start" [name]="p.icon"></ion-icon>
                            <ion-label>{{ p.title }}</ion-label>
                        </ion-item>
                    </ion-menu-toggle>

                    <ion-menu-toggle>
                        <ion-item (click)="logOut()" lines="none" detail="false">
                            <ion-icon slot="start" name="log-out"></ion-icon>
                            <ion-label> Log out</ion-label>
                        </ion-item>
                    </ion-menu-toggle>
                </ion-list>


            </ion-content>
        </ion-menu>
        <ion-router-outlet id="main-content"></ion-router-outlet>
    </ion-split-pane>


</ion-app>